
#Include I_Gui.ahk
#Include LedImages.ahk

Led_Clock(){
    Indx := 1
    tm   := StrSplit(FormatTime(,"hhmmss"))
    Loop tm.Length{
        win.cntl[Indx++].Value := Led[tm[A_Index]+1]
        If(A_Index=2 Or A_Index=4)
            Indx++
    }
    win.cntl[9].Value := FormatTime(,"tt")
    Sleep 0
}

hIcon(B64){
    bin := Buffer(StrLen(B64),0)
    DllCall "Crypt32\CryptStringToBinary","str",B64,"uint",bin.size,"uint",1,"ptr",bin.ptr,"uint*",bin.size,"uint",0,"uint",0
    return DllCall("CreateIconFromResourceEx","ptr",bin.ptr,"uint",bin.size,"int",True,"uint","0x30000","int",0,"int",0,"uint",0,"uptr")
}

Led := []

Loop 10{
    Led.Push "HICON:*" hIcon(Led%a_index-1%)
}

win := I_Gui("toolwindow alwaysontop +E0x2000000 +E0x80000","Led Clock - " StrReplace(FormatTime(,"LongDate")," 0"," "))
    .BackColor("Black")
    .OnEvent("Escape",ExitApp)
    .OnEvent("Close",ExitApp)
    .Add("Pic","y10",Led[1],2)
    .SetGuiFont("s28 bold")
    .Add("Text","y25 cLime",":")
    .Add("Pic","y10",Led[1],2)
    .Add("Text","y25 cLime",":")
    .Add("Pic","y10",Led[1],2)
    .Add("Text","y30 cLime",FormatTime(,"tt"))
    .SetTimer(Led_Clock,999)
    .Show("h100")
